package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ProductCollection;


/**
*  service接口类
*/
public interface ProductCollectionService{

    List<ProductCollection> getProductCollectionList(ProductCollection record);

    List<ProductCollection> getProductCollectionByPage(Page page, ProductCollection record);

    ProductCollection getProductCollectionById(String id);

    ProductCollection getProductCollection(ProductCollection record);

    boolean createProductCollection(ProductCollection record);

    boolean deleteProductCollection(String id);

    boolean updateProductCollection(ProductCollection record);
}

